Skip to content

getDimensionPivot

READ

Get dimension pivot.

POST /api/v1/accounting/getDimensionPivot
curl -X POST '<your-host>/api/v1/accounting/getDimensionPivot' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "report": "string",
    "startDate": "string",
    "endDate": "string",
    "state": "string"
  }'
Response
{
  "groups": [
    {
      "rowValue1Id": "string",
      "rowValue2Id": "string",
      "columnKey": "string",
      "amount": 0,
      "quantity": 0,
      "lineCount": 0
    }
  ],
  "columnKeys": [
    "string"
  ],
  "hasMore": true,
  "valueNames": {
    "…": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "report": {},
    "scrapAccountIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "startDate": {
      "type": "string"
    },
    "endDate": {
      "type": "string"
    },
    "periodEnds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "state": {}
  },
  "required": [
    "report",
    "startDate",
    "endDate",
    "state"
  ]
}